Package org.gradle.api.tasks.diagnostics.artifact.transforms

# Interface ArtifactTransformReports

All Superinterfaces:
  `Collection<ConfigurableReport>`, `Configurable<ReportContainer<ConfigurableReport>>`, `DomainObjectCollection<ConfigurableReport>`, `DomainObjectSet<ConfigurableReport>`, `Iterable<ConfigurableReport>`, `NamedDomainObjectCollection<ConfigurableReport>`, `NamedDomainObjectSet<ConfigurableReport>`, `ReportContainer<ConfigurableReport>`, `Set<ConfigurableReport>`

@Incubating public interface ArtifactTransformReports extends ReportContainer<ConfigurableReport>
The reporting configuration for the `ArtifactTransformsReportTask`.

Since:
  8.13

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, areChangesAllowed, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

  `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`